include:
  - mumble.docker

Ensure git is installed:
  pkg.installed:
    - name: git

mumble docker git repository is available and up to date:
  git.latest:
    - name: https://code.flipdot.org/flipdot/mumble-docker.git
    - target: /opt/mumble-dockerfile

mumble docker image was build and is available:
  docker_image.present:
    - name: flipdot/mumble
    - tag: latest
    - build: /opt/mumble-dockerfile

mumble docker container is running:
  docker_container.running:
    - name: flipdot/mumble
    - binds: /opt/mumble/data:/data
    - port_bindings:
      - 64738:64738
      - 64738:64738/udp
